"""Odoo Scripts"""
try:
    # python 3.8+
    from importlib.metadata import PackageNotFoundError, version
except ModuleNotFoundError:
    from importlib_metadata import (  # type: ignore[import,no-redef,assignment]
        PackageNotFoundError,
        version,
    )

try:
    __version__ = version("odoo-scripts")
except PackageNotFoundError:
    # package is not installed, default to the version maintained by bump2version
    __version__ = "20.3.0.dev"

__author__ = "XCG Consulting"

# expose some useful functions
from .odoo import odoo_connect, odoo_connect_parser, odoo_login  # noqa: F401
from .parsing import logging_from_verbose  # noqa: F401
